.back-to-top {
	position: fixed;
	bottom: 1em;
	right: 1em;
	display: none;
	width: 40px;
	height: 40px;
	padding: 0;
	background-color: var(--primary);
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.1);
	border-radius: 3px;
	z-index: 10;
	transition: all 0.3s;
	border: 0;

	@media (--m) {
		display: flex;
		align-items: center;
		justify-content: center;
		opacity: 0;

		&:hover {
			background-color: var(--dark);
		}
	}

	&.back-to-top--visible {
		opacity: 1;
	}
}

.back-to-top__icon {
	@mixin icon 24px;

	& svg {
		@mixin flex-center;

		stroke: var(--white);
	}
}
